<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function rotate_image($imgName, $angle)
{
  if(!($img = imagecreatefromjpeg($imgName))){
    echo("Nie mogę otworzyć pliku: $imgName");
    return false;
  }

  $img = imagerotate($img, $angle, 0);

  $name = substr($imgName, 0, strlen($imgName) - 4);
  $name = $name."-rotated.jpg";

  imagejpeg($img, $name);
}
rotate_image("obraz1.jpg", 90);
?>
